var $AdfDhtmlShowDetailHeaderPeer$$ = $AdfRichUIPeer$$.$createPeerClass$($AdfDhtmlPanelHeaderPeer$$, "AdfDhtmlShowDetailHeaderPeer", !1);
$goog$exportSymbol$$("AdfDhtmlShowDetailHeaderPeer", $AdfDhtmlShowDetailHeaderPeer$$);
$AdfDhtmlShowDetailHeaderPeer$$.$_INNER_SD_PEER$ = $AdfRichUIPeer$$.$createInnerPeerClassWithSubId$($AdfDhtmlShowDisclosurePeer$$, "InnerSDHShowDetailPeer", "_afrDscl");
InnerSDHShowDetailPeer.$InitSubclass$ = function $InnerSDHShowDetailPeer$$InitSubclass$$() {
  $AdfDhtmlTogglePeer$$.$Config$(this, {$toggledStyleClass$:"af|showDetailHeader::disclosed-icon-style", $untoggledStyleClass$:"af|showDetailHeader::undisclosed-icon-style"});
};
InnerSDHShowDetailPeer.prototype.$HandleClientSideToggle$ = function $InnerSDHShowDetailPeer$$$HandleClientSideToggle$$($disclosed$$13$$) {
  return InnerSDHShowDetailPeer.$superclass$.$HandleClientSideToggle$.call(this, $disclosed$$13$$) ? this.$outerThis$.$__handleClientSideDisclosure$($disclosed$$13$$) : !1;
};
InnerSDHShowDetailPeer.prototype.$EventPropagatesToServer$ = function $InnerSDHShowDetailPeer$$$EventPropagatesToServer$$($isExpanded$$6$$) {
  var $value$$262$$ = InnerSDHShowDetailPeer.$superclass$.$EventPropagatesToServer$.call(this);
  if (0 == $value$$262$$) {
    var $component$$2141$$ = this.$outerThis$.$getComponent$();
    if ("lazy" === $component$$2141$$.getPropertyValue("contentDelivery") && 0 == this.$outerThis$.$__isContentLoaded$() || 0 == $isExpanded$$6$$ && $AdfPage$$.$PAGE$.$_dirtyStateService$.$hasDirtyData$($component$$2141$$)) {
      $value$$262$$ = !0;
    }
  }
  return $value$$262$$;
};
$AdfDhtmlShowDetailHeaderPeer$$.prototype.Init = function $$AdfDhtmlShowDetailHeaderPeer$$$$Init$($component$$2142$$) {
  $AdfDhtmlShowDetailHeaderPeer$$.$superclass$.Init.call(this, $component$$2142$$);
  this.$_disclosurePeer$ = new $AdfDhtmlShowDetailHeaderPeer$$.$_INNER_SD_PEER$($component$$2142$$, this);
  var $newPropertykey_propertyKey$$9$$ = $component$$2142$$.$getPropertyKeys$().disclosed;
  null != $newPropertykey_propertyKey$$9$$ && $newPropertykey_propertyKey$$9$$[$AdfUIComponent$$.$PROPERTY_DISCONNECTED$] && ($newPropertykey_propertyKey$$9$$ = $AdfCollections$$.$copyInto$({}, $newPropertykey_propertyKey$$9$$), delete $newPropertykey_propertyKey$$9$$[$AdfUIComponent$$.$PROPERTY_DISCONNECTED$], $component$$2142$$.$getPropertyKeys$().disclosed = $newPropertykey_propertyKey$$9$$);
  this.$_ignoreUpAndDownArrowKey$ = "false" == $AdfPage$$.$PAGE$.$getLookAndFeel$().$getSkinProperty$("af|showDetailHeader-tr-disclose-with-up-down-arrow");
};
$AdfObject$$.$exportPrototypeSymbol$("AdfDhtmlShowDetailHeaderPeer.prototype.Init", {Init:$AdfDhtmlShowDetailHeaderPeer$$.prototype.Init});
$AdfDhtmlShowDetailHeaderPeer$$.prototype.$initialize$ = function $$AdfDhtmlShowDetailHeaderPeer$$$$$initialize$$($component$$2143$$) {
  $AdfDhtmlShowDetailHeaderPeer$$.$superclass$.$initialize$.call(this, $component$$2143$$);
  this.$_disclosurePeer$.$initialize$($component$$2143$$);
};
$AdfObject$$.$exportPrototypeSymbol$("AdfDhtmlShowDetailHeaderPeer.prototype.initialize", {$initialize$:$AdfDhtmlShowDetailHeaderPeer$$.prototype.$initialize$});
$AdfDhtmlShowDetailHeaderPeer$$.$InitSubclass$ = function $$AdfDhtmlShowDetailHeaderPeer$$$$InitSubclass$$() {
  $AdfRichUIPeer$$.$addComponentEventHandlers$(this, $AdfUIInputEvent$$.$CLICK_EVENT_TYPE$, $AdfUIInputEvent$$.$KEY_UP_EVENT_TYPE$, $AdfDisclosureEvent$$.$EVENT_TYPE$);
  $AdfRichUIPeer$$.$addComponentPropertyChanges$(this, "disclosed");
};
$goog$exportSymbol$$("AdfDhtmlShowDetailHeaderPeer.InitSubclass", $AdfDhtmlShowDetailHeaderPeer$$.$InitSubclass$);
$AdfDhtmlShowDetailHeaderPeer$$.prototype.$HandleComponentClick$ = function $$AdfDhtmlShowDetailHeaderPeer$$$$$HandleComponentClick$$($componentEvent$$475$$) {
  $AdfDhtmlShowDetailHeaderPeer$$.$superclass$.$HandleComponentClick$.call(this, $componentEvent$$475$$);
  this.$_disclosurePeer$.$HandleComponentClick$($componentEvent$$475$$);
};
$AdfObject$$.$exportPrototypeSymbol$("AdfDhtmlShowDetailHeaderPeer.prototype.HandleComponentClick", {$HandleComponentClick$:$AdfDhtmlShowDetailHeaderPeer$$.prototype.$HandleComponentClick$});
$AdfDhtmlShowDetailHeaderPeer$$.prototype.$HandleComponentKeyUp$ = function $$AdfDhtmlShowDetailHeaderPeer$$$$$HandleComponentKeyUp$$($componentEvent$$476$$) {
  var $handleKeystroke$$1_keyCode$$103_nativeEvent$$62$$ = !0;
  this.$_ignoreUpAndDownArrowKey$ && ($handleKeystroke$$1_keyCode$$103_nativeEvent$$62$$ = $componentEvent$$476$$.$getNativeEvent$(), $handleKeystroke$$1_keyCode$$103_nativeEvent$$62$$ = $AdfAgent$$.$AGENT$.$getKeyCode$($handleKeystroke$$1_keyCode$$103_nativeEvent$$62$$), $handleKeystroke$$1_keyCode$$103_nativeEvent$$62$$ = $handleKeystroke$$1_keyCode$$103_nativeEvent$$62$$ != $AdfKeyStroke$$.$ARROWUP_KEY$ && $handleKeystroke$$1_keyCode$$103_nativeEvent$$62$$ != $AdfKeyStroke$$.$ARROWDOWN_KEY$);
  $handleKeystroke$$1_keyCode$$103_nativeEvent$$62$$ && this.$_disclosurePeer$.$HandleComponentKeyUp$($componentEvent$$476$$);
};
$AdfObject$$.$exportPrototypeSymbol$("AdfDhtmlShowDetailHeaderPeer.prototype.HandleComponentKeyUp", {$HandleComponentKeyUp$:$AdfDhtmlShowDetailHeaderPeer$$.prototype.$HandleComponentKeyUp$});
$AdfDhtmlShowDetailHeaderPeer$$.prototype.$HandleComponentDisclosure$ = function $$AdfDhtmlShowDetailHeaderPeer$$$$$HandleComponentDisclosure$$($componentEvent$$477$$) {
  this.$_disclosurePeer$.$HandleComponentDisclosure$($componentEvent$$477$$);
};
$AdfObject$$.$exportPrototypeSymbol$("AdfDhtmlShowDetailHeaderPeer.prototype.HandleComponentDisclosure", {$HandleComponentDisclosure$:$AdfDhtmlShowDetailHeaderPeer$$.prototype.$HandleComponentDisclosure$});
$AdfDhtmlShowDetailHeaderPeer$$.prototype.$ComponentDisclosedChanged$ = function $$AdfDhtmlShowDetailHeaderPeer$$$$$ComponentDisclosedChanged$$($component$$2144$$, $domElement$$533$$, $newValue$$158$$, $oldValue$$93$$) {
  return "immediate" == $component$$2144$$.getPropertyValue("contentDelivery") || "lazy" == $component$$2144$$.getPropertyValue("contentDelivery") && this.$__isContentLoaded$() ? this.$_disclosurePeer$.$ComponentDisclosedChanged$($component$$2144$$, $domElement$$533$$, $newValue$$158$$, $oldValue$$93$$) : !1;
};
$AdfObject$$.$exportPrototypeSymbol$("AdfDhtmlShowDetailHeaderPeer.prototype.ComponentDisclosedChanged", {$ComponentDisclosedChanged$:$AdfDhtmlShowDetailHeaderPeer$$.prototype.$ComponentDisclosedChanged$});
$AdfDhtmlShowDetailHeaderPeer$$.prototype.$__handleClientSideDisclosure$ = function $$AdfDhtmlShowDetailHeaderPeer$$$$$__handleClientSideDisclosure$$($disclosed$$14$$) {
  var $contentDom$$45$$ = this.$_getContentDomElement$();
  return $contentDom$$45$$ ? ($contentDom$$45$$.style.display = $disclosed$$14$$ ? "" : "none", !0) : !1;
};
$AdfObject$$.$exportPrototypeSymbol$("AdfDhtmlShowDetailHeaderPeer.prototype.__handleClientSideDisclosure", {$__handleClientSideDisclosure$:$AdfDhtmlShowDetailHeaderPeer$$.prototype.$__handleClientSideDisclosure$});
$AdfDhtmlShowDetailHeaderPeer$$.prototype.$__isContentLoaded$ = function $$AdfDhtmlShowDetailHeaderPeer$$$$$__isContentLoaded$$() {
  return null != this.$_getContentDomElement$();
};
$AdfObject$$.$exportPrototypeSymbol$("AdfDhtmlShowDetailHeaderPeer.prototype.__isContentLoaded", {$__isContentLoaded$:$AdfDhtmlShowDetailHeaderPeer$$.prototype.$__isContentLoaded$});
$AdfDhtmlShowDetailHeaderPeer$$.prototype.$_getContentDomElement$ = function $$AdfDhtmlShowDetailHeaderPeer$$$$$_getContentDomElement$$() {
  return this.$getDomElement$().childNodes[1];
};
